import { myRequest, BASE_URL } from './http.js'

//上传图片 
export const uploadUrl = BASE_URL + '/web_ajax/upload'

//获取配置信息
export function netInfo() {
	return myRequest('/web_aftermarket/user_config')
}

//登录
export function netLogin(data) {
	return myRequest('/web_person/login',data)
}

// 免登录 体验
export function login_text() {
	return myRequest('/web_person/logintest')
}

//退出登录
export function netLogOut(data) {
	return myRequest('/web_person/logout',data)
}

//发送验证码
export function netsendText(data) {
	return myRequest('/web_ajax/sendSms',data)
}

//注册
export function netRegister(data) {
	return myRequest('/web_person/register',data)
}

//创建工单  选择 产品
export function netWorkOrderProduct() {
	return myRequest('/web_workorder/getProductList')
}

//获取工单编号
export function netWorkOrderNumber() {
	return myRequest('/web_workorder/getWorkorderNumber')
}

//添加 工单
export function netAddWorkorder(data) {
	return myRequest('/web_workorder/addWorkorder',data)
}

//获取工单 列表
export function netOrderList(data) {
	return myRequest('/web_workorder/getOrderList',data)
}

//工单 详情
export function netOrderDetail(data) {
	return myRequest('/web_workorder/detail',data)
}

//评论 
export function netAddComment(data) {
	return myRequest('/web_workorder/addComment',data)
}

//评论列表
export function netCommentList(data) {
	return myRequest('/web_workorder/commentList',data)
}

//服务评价 列表  type   1已评价   2未评价
export function netServiceList(data) {
	return myRequest('/web_workorder/get_finish_list',data)
}

//获取 公司 信息
export function netCompanyInfo() {
	return myRequest('/web_person/companyInfo')
}

//工单完成   进行  评价
export function netAddEvaluate(data) {
	return myRequest('/web_workorder/addEvaluate',data)
}

//知识库 列表
export function netKnowledgeList(data) {
	return myRequest('/web_aftermarket/typeList',data)
}

//知识库  文章列表
export function netArticleList(data) {
	return myRequest('/web_aftermarket/articleList',data)
}

//文章 点击量
export function netArticleNumber(data) {
	return myRequest('/web_aftermarket/viewArticle',data)
}


//文章详情
export function netArticleDetail(data) {
	return myRequest('/web_aftermarket/detailArt',data)
}


//设备列表
export function netProductList(data) {
	return myRequest('/web_parts/getProductList',data)
}

//配件列表
export function netPartList(data) {
	return myRequest('/web_parts/getPartsList',data)
}

//购物车 列表
export function netCartListnum(data) {
	return myRequest('/web_carts/getList',data)
}

//加入 购物车
export function netAddCart(data) {
	return myRequest('/web_carts/addCart',data)
}

//购物车 修改配件 数量
export function netChangePartNum(data) {
	return myRequest('/web_carts/editNum',data)
}

//购物车  删除
export function netDelCartNum(data) {
	return myRequest('/web_carts/delParts',data)
}

//提交订单
export function netSubOrder(data) {
	return myRequest('/web_carts/createPay',data)
}

export function getqrcodeinfo(data) {
	return myRequest('/staff/getqrcodeinfo',data)
}

